Loading...
Searching...
No Matches
DcmCodecParameter Class Referenceabstract

abstract base class for a codec parameter object that describes the settings (modes of operations) for one particular codec (DcmCodec) object. More...

Inheritance diagram for DcmCodecParameter:

## Public Member Functions

| DcmCodecParameter ()
| default constructor
| DcmCodecParameter (const DcmCodecParameter &)
| copy constructor
virtual | ~DcmCodecParameter ()
| destructor
virtual DcmCodecParameter * | clone () const =0
| this methods creates a copy of type DcmCodecParameter * it must be overwritten in every subclass.
virtual const char * | className () const =0
| returns the class name as string.

## Detailed Description

abstract base class for a codec parameter object that describes the settings (modes of operations) for one particular codec (DcmCodec) object.

## Member Function Documentation

## className()

virtual const char * DcmCodecParameter::className | ( |  | ) | const

pure virtual

returns the class name as string.

can be used as poor man's RTTI replacement.

Implemented in DcmRLECodecParameter, DJCodecParameter, and DJLSCodecParameter.

## clone()

virtual DcmCodecParameter * DcmCodecParameter::clone | ( |  | ) | const

pure virtual

this methods creates a copy of type DcmCodecParameter * it must be overwritten in every subclass.

Returns
  copy of this object

Implemented in DcmRLECodecParameter, DJCodecParameter, and DJLSCodecParameter.

References DcmCodecParameter().

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dccodec.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0